Delete Image Version
delete
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions/{versionId}
Deletes the specified version of the image. For FPP based version of image, this is an asynchronous operation, which submits a deployment procedure to perform the task. FPP REST User credentials are required for deleting FPP based version of the image.
Request
Path Parameters
-
goldImageId(required): string
ID of the image
-
versionId(required): string
ID of the image version
Supported Media Types
- application/json
Nested Schema : DeleteImageInput
Type:
objectDelete gold image option
Show Source
-
fppRestUser: string
REST user to be used for an FPP REST callExample:
rest_cuser -
isForce: boolean
Flag to force delete even if targets are subscribed
Response
202 Response
It is a long running/async API. It submits a deployment procedure for deletion of an FPP image.
Headers
-
Location:
URL link to track status of the API for the deployment procedureExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
Root Schema : schema
Type:
Show Source
object-
links: object
links
links
-
message: string
messageExample:
It is a long running/async API. It submits a deployment procedure for deletion of an FPP image.
Nested Schema : links
Type:
objectlinks
Show Source
-
tracking: object
tracking
Represents the link to REST API to track the status of the submitted deployment procedure
Nested Schema : tracking
Type:
objectRepresents the link to REST API to track the status of the submitted deployment procedure
Show Source
-
href: string
URL for the LinkExample:
/deploymentProcedureInstances/{deploymentProcedureInstanceId}
204 Response
No content. This is the native fleet Gold Image version delete response
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description